package com.cab.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.cab.dao.TestCategoryMapper;
import com.cab.dao.TestParamsMapper;
import com.cab.model.TestCategory;
import com.cab.model.TestInterface;
import com.cab.model.TestParams;
import com.cku.core.BaseDAOMapper;
import com.cku.core.BaseService;
import com.cku.core.ExecResultModel;

@Service("testCategoryService")
public class TestCategoryServiceImpl  extends BaseService<TestCategory>{
	@Autowired
	public TestCategoryMapper testCategoryMapper;
	@Override
	protected BaseDAOMapper<TestCategory> getDAO() {
		return this.testCategoryMapper;
	}
	public List<TestCategory> getTestCategoryAll(){
		List<TestCategory> list = testCategoryMapper.getAll();
		return list;
	}
}
